Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp
Class IteratorStatus

    java.lang.Object
      org.apache.struts2.views.jsp.IteratorStatus

    public class IteratorStatus

extends java.lang.Object

The iterator tag can export an IteratorStatus object so that one can get information about the status of the iteration, such as:

- index: current iteration index, starts on 0 and increments in one on every iteration
- count: iterations so far, starts on 1. count is always index + 1
- first: true if index == 0
- even: true if (index + 1) % 2 == 0
- last: true if current iteration is the last iteration
- odd: true if (index + 1) % 2 == 1

Example

       <s:iterator status="status" value='%{0, 1}'>
          Index: <s:property value="%{#status.index}" /> <br />
          Count: <s:property value="%{#status.count}" /> <br />
       </s:iterator>

will print

          Index: 0
          Count: 1
          Index: 1
          Count: 2

Nested Class Summary
`static class` | `IteratorStatus.StatusState`

Field Summary
`protected IteratorStatus.StatusState` | `state`

Constructor Summary
`IteratorStatus(IteratorStatus.StatusState aState)`

Method Summary
`int` | `getCount()`
`int` | `getIndex()`
`boolean` | `isEven()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `isOdd()`
`int` | `modulus(int operand)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    protected IteratorStatus.StatusState state

Constructor Detail

### IteratorStatus

    public IteratorStatus(IteratorStatus.StatusState aState)

Method Detail

### getCount

    public int getCount()

### isEven

    public boolean isEven()

### isFirst

    public boolean isFirst()

### getIndex

    public int getIndex()

### isLast

    public boolean isLast()

### isOdd

    public boolean isOdd()

### modulus

    public int modulus(int operand)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.